Summary: GTK wireless (wifi/802.11) net stumbler.
Name: apradar
Version: 0.50
Release: 1
Copyright: MIT
Group: Applications/Monitoring
Source: %{name}-%{version}.tar.gz

%description
AP Radar is a wireless association manager and netstumbler.
It presents a GUI that lists all the access points in range.
%prep
%setup -q

%build
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
#mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/share/apradar

install -s -m 755 src/apradar $RPM_BUILD_ROOT/usr/bin/apradar
install -m 755 src/logo.png $RPM_BUILD_ROOT/usr/share/apradar
install -m 755 src/wepoff.png $RPM_BUILD_ROOT/usr/share/apradar
install -m 755 src/wepon.png $RPM_BUILD_ROOT/usr/share/apradar
install -m 755 src/wrench.png $RPM_BUILD_ROOT/usr/share/apradar
install -m 755 src/icon.xpm $RPM_BUILD_ROOT/usr/share/apradar
#install -m 644 apradar.1 $RPM_BUILD_ROOT/usr/man/man1/apradar.1

%clean
#rm -rf $RPM_BUILD_ROOT
rm -rf /usr/share/apradar

%files
%defattr(-,root,root)
%doc README 

/usr/bin/apradar
/usr/share/apradar/logo.png
/usr/share/apradar/wepoff.png
/usr/share/apradar/wepon.png
/usr/share/apradar/wrench.png
/usr/share/apradar/icon.xpm
#/usr/man/man1/apradar.1

%changelog
* Sat Jan 10 2004 Donald Park <donp@personaltelco.net>
- configuration screen
- configuration options stored in ~/.apradar
- hostap works again
- display the default gateway
- ping the default gateway
- testing by Jason McArthur <jason@cipheralgo.org>
- additional support from Tom Higgins <tom@wsmf.org>

* Fri Aug 22 2003 Donald Park <donp@personaltelco.net>
- recomiled with gtk+2

* Sat Nov 09 2002 Donald Park <donp@personaltelco.net> 
- fixed interface name autodetect bug
- moved support files from /usr/lib/apradar to /usr/share/apradar
- added signal strength reporting

* Sat Nov 09 2002 Donald Park <donp@personaltelco.net> 
- created autoconf/automake scripts
- added IP monitoring
- launches dhcp clien on associate command

* Tue Oct 29 2002 Donald Park <donp@personaltelco.net> 
- Fixed code to compile with gcc 3.2
- Changed wep off/on to open/closed warchalk mark

* Wed Sep 4 2002 Donald Park <donp@personaltelco.net> 
- RPM buildtest


